---
- entityDefinitions:
  - IDC_DynamicDisplayOption: '{4a66cf04-fda3-44c5-855a-688012fc08b7}'
  - IDR_Dynamic_Display_Option__add__Display_Option: '{2ed33b28-f84d-4120-b585-be965cfb691f}'
  - IDR_Display_Option__add_with__Dynamic_Display_Option: '{cad73771-dcc1-4314-9f94-948c16ac6f66}'
  - IDR_Dynamic_Display_Option__remove__Display_Option: '{dc06bf0b-70dd-4f71-854d-0f5685e2124f}'
  - IDR_Display_Option__remove_with__Dynamic_Display_Option: '{48d7ba17-5051-4366-9abb-ee82f4e91644}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_DynamicDisplayOption;'
    name:      Dynamic Display Option
    index:     115
    registerForTemplate: yes
    relationships:
    - instance: '&IDR_Dynamic_Display_Option__add__Display_Option;'
      customTagName: 'addsDisplayOptions'
    - instance: '&IDR_Dynamic_Display_Option__remove__Display_Option;'
      customTagName: 'removesDisplayOptions'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Dynamic Display Option'


  - relationship: '&IDR_Dynamic_Display_Option__add__Display_Option;'
    index: 243
    sourceClassId: '&IDC_DynamicDisplayOption;'
    type: 'add'
    destinationClassId: '&IDC_DisplayOption;'
    siblingRelationshipId: '&IDR_Display_Option__add_with__Dynamic_Display_Option;'
    singular: no

  - relationship: '&IDR_Display_Option__add_with__Dynamic_Display_Option;'
    index: 244
    sourceClassId: '&IDC_DisplayOption;'
    type: 'add with'
    destinationClassId: '&IDC_DynamicDisplayOption;'
    siblingRelationshipId: '&IDR_Dynamic_Display_Option__add__Display_Option;'
    singular: no


  - relationship: '&IDR_Dynamic_Display_Option__remove__Display_Option;'
    index: 245
    sourceClassId: '&IDC_DynamicDisplayOption;'
    type: 'remove'
    destinationClassId: '&IDC_DisplayOption;'
    siblingRelationshipId: '&IDR_Display_Option__remove_with__Dynamic_Display_Option;'
    singular: no

  - relationship: '&IDR_Display_Option__remove_with__Dynamic_Display_Option;'
    index: 246
    sourceClassId: '&IDC_DisplayOption;'
    type: 'remove with'
    destinationClassId: '&IDC_DynamicDisplayOption;'
    siblingRelationshipId: '&IDR_Dynamic_Display_Option__remove__Display_Option;'
    singular: no
